Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005714 [JEDI VCL] 00 JVCL Components major sometimes 2011-11-16 03:19 2012-09-10 14:15
Reporter eje91 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005714: TJvIPAddress Causes Crash as Win64 Application Closes
Description If the user types at a TJvIPAddress control in a Win64 Delphi XE2 application, the program later raises an Access Violation exception as it closes. This will not happen if the form simply contains a TJvIPAddress control but the user does not type into it (or types hardly anything). It happens only when the application is compiled as a Win64 application; Win32 applications never exhibit the bug. The crash can be seen as the program closes while running in the integrated debugger. When running the compiled program directly, Windows 7 reports an error as the program closes. The crash can be reproduced most of the time when typing an address of 192.168.168.17.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019118)
jfudickar (developer)
2011-11-17 21:42

Could you create a sample app for this?
(0019120)
AHUser (developer)
2011-11-19 13:44

Fixed with revision 13173.

- Issue History
Date Modified Username Field Change
2011-11-16 03:19 eje91 New Issue
2011-11-17 21:42 jfudickar Note Added: 0019118
2011-11-17 21:42 jfudickar Status new => feedback
2011-11-19 13:44 AHUser Note Added: 0019120
2011-11-19 13:44 AHUser Status feedback => resolved
2011-11-19 13:44 AHUser Fixed in Version => Daily / SVN
2011-11-19 13:44 AHUser Resolution open => fixed
2011-11-19 13:44 AHUser Assigned To => AHUser
2011-11-19 14:22 eje91 Issue Monitored: eje91
2011-11-19 14:24 eje91 Issue End Monitor: eje91
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker